//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
#include <Grids.hpp>
#include <DBGrids.hpp>
#include <Buttons.hpp>
#include <DateUtils.hpp>

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TMemo *Memo1;
        TSaveDialog *SaveDialog1;
        TOpenDialog *OpenDialog1;
        TPanel *Panel1;
        TPanel *Panel2;
        TPanel *Panel3;
        TEdit *Edit3;
        TStringGrid *StringGrid6;
        TStringGrid *StringGrid5;
        TLabel *Label3;
        TStringGrid *StringGrid4;
        TStringGrid *StringGrid3;
        TStringGrid *StringGrid2;
        TStringGrid *StringGrid1;
        TEdit *Edit9;
        TEdit *Edit8;
        TEdit *Edit7;
        TUpDown *UpDown3;
        TUpDown *UpDown2;
        TUpDown *UpDown1;
        TEdit *Edit4;
        TEdit *Edit5;
        TEdit *Edit6;
        TColorBox *ColorBox3;
        TColorBox *ColorBox2;
        TColorBox *ColorBox1;
        TCheckBox *CheckBox3;
        TCheckBox *CheckBox2;
        TCheckBox *CheckBox1;
        TLabel *Label6;
        TLabel *Label5;
        TLabel *Label4;
        TPaintBox *PaintBox1;
        TPanel *Panel4;
        TSpeedButton *SpeedButton3;
        TSpeedButton *SpeedButton2;
        TSpeedButton *SpeedButton1;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        TLabel *Label12;
        TLabel *Label13;
        TLabel *Label14;
        TShape *Shape1;
        TShape *Shape4;
        TShape *Shape5;
        TShape *Shape2;
        TShape *Shape3;
        TShape *Shape6;
        TShape *Shape7;
        TShape *Shape8;
        TShape *Shape9;
        TShape *Shape10;
        TSpeedButton *SpeedButton4;
        TSpeedButton *SpeedButton5;
        TSpeedButton *SpeedButton6;
        TSpeedButton *SpeedButton7;
        TSpeedButton *SpeedButton8;
        TShape *Shape11;
        TLabel *Label1;
        TLabel *Label15;
        TShape *Shape12;
        TShape *Shape13;
        TShape *Shape14;
        TShape *Shape15;
        TSpeedButton *SpeedButton9;
        TLabel *Label16;
        TLabel *Label17;
        TShape *Shape16;
        TShape *Shape17;
        TShape *Shape18;
        TShape *Shape19;
        TStringGrid *StringGrid7;
        TLabel *Label2;
        TLabel *Label18;
        TShape *Shape20;
        TSpeedButton *SpeedButton10;
        TShape *Shape21;
        TShape *Shape22;
        TShape *Shape23;
        TShape *Shape24;
        TShape *Shape25;
        TShape *Shape26;
        TShape *Shape27;
        TShape *Shape28;
        TShape *Shape29;
        TShape *Shape30;
        TShape *Shape31;
        TShape *Shape32;
        TShape *Shape34;
        TShape *Shape35;
        TLabel *Label19;
        TEdit *Edit1;
        TShape *Shape36;
        TLabel *Label20;
        TEdit *Edit2;
        TShape *Shape37;
        TSpeedButton *SpeedButton11;
        TSpeedButton *SpeedButton12;
        TSpeedButton *SpeedButton14;
        TCheckBox *CheckBox4;
        TCheckBox *CheckBox5;
        TShape *Shape38;
        TShape *Shape39;
        TComboBox *ComboBox1;
        TSpeedButton *SpeedButton13;
        TCheckBox *CheckBox6;
        TShape *Shape40;
        TShape *Shape41;
        TLabel *Label21;
        TComboBox *ComboBox2;
        TLabel *Label22;
        TSpeedButton *SpeedButton15;
        TCheckBox *CheckBox7;
        TShape *Shape33;
        TShape *Shape42;
        void __fastcall UpDown1Click(TObject *Sender, TUDBtnType Button);
        void __fastcall UpDown2Click(TObject *Sender, TUDBtnType Button);
        void __fastcall UpDown3Click(TObject *Sender, TUDBtnType Button);
        void __fastcall Edit4Change(TObject *Sender);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall PaintBox1MouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall PaintBox1MouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall PaintBox1MouseUp(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall Edit7Change(TObject *Sender);
        void __fastcall SpeedButton1Click(TObject *Sender);
        void __fastcall SpeedButton2Click(TObject *Sender);
        void __fastcall SpeedButton3Click(TObject *Sender);
        void __fastcall PaintBox1Paint(TObject *Sender);
        void __fastcall Label11Click(TObject *Sender);
        void __fastcall SpeedButton4Click(TObject *Sender);
        void __fastcall SpeedButton5Click(TObject *Sender);
        void __fastcall SpeedButton6Click(TObject *Sender);
        void __fastcall SpeedButton7Click(TObject *Sender);
        void __fastcall SpeedButton8Click(TObject *Sender);
        void __fastcall SpeedButton9Click(TObject *Sender);
        void __fastcall Label1Click(TObject *Sender);
        void __fastcall SpeedButton11Click(TObject *Sender);
        void __fastcall SpeedButton12Click(TObject *Sender);
        void __fastcall Edit1Change(TObject *Sender);
        void __fastcall SpeedButton13Click(TObject *Sender);
        void __fastcall SpeedButton14Click(TObject *Sender);
        void __fastcall CheckBox4Click(TObject *Sender);
        void __fastcall CheckBox6Click(TObject *Sender);
        void __fastcall SpeedButton15Click(TObject *Sender);
private:	// User declarations
        void __fastcall ImageCopy();
        void __fastcall Message(AnsiString message);
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
